<?php 
defined('CONF_URL_APP') or die;

c_include('widget','helpers/widgetHelper');
e_include('ext_musica/class/artista','ext_musica/class/album', 'ext_musica/class/pistaAlbum');

abstract class mplayerHelper {
	public static function getParametros($w=null){
		if (empty($w))
			return false;
			
		$params = Helpers::toArray(json_decode($w->params));
			
		return $params;
	}
	public static function getPlaylist($p=null){
		if (empty($p))
			return false;
			
		if (!array_key_exists("album", $p) || empty($p["album"])){
			echo __('No se ha definido el playlist por defecto');
			return false;
		}
		
		if (!array_key_exists("autodetect", $p)){
			echo __('No se ha definido la autodetección de playlists');
			return false;
		}
		
		if (!empty($p['skin']) && is_file(CONF_REALPATH_APP . $p['skin'])){
			$GLOBALS['AssetBundles']->unregister_css('jplayer-skin');
			
			$GLOBALS['AppDoc']->addHeadLink(CONF_URL_APP . $p['skin'], 'stylesheet', 'rel', 'type="text/css"');
		}
		
		$playlist = array();
		
		$detectado = false;
		
		if ($p['autodetect'] == '1'){
			$detectado = true;
			
			if ($_GET['extension'] != 'ext_musica')
				$detectado = false;
			
			if ($_GET['vista'] != 'artista' && $_GET['vista'] != 'album')
				$detectado = false;
				
			if (!isset($_GET['id']) || empty($_GET['id']))
				$detectado = false;
				
			if ($detectado == true){
				switch ($_GET['vista']){
					case 'artista':
						$artista = new Artista();
						$artista->setid($_GET['id']);
						$artista = $artista->BuscarId();
						
						$params_artista = Helpers::toArray(json_decode($artista->params));
						
						$albumes_artista = $artista->getAlbums(true,'',$params_artista['orden_albumes'],$params_artista['orden_dir_albumes'],0,$params_artista['numero_albumes']);
						
						if (is_array($albumes_artista) && count($albumes_artista) > 0){
							foreach ($albumes_artista as $aa){
								$playlist_aa = $aa->getPistasAlbum();
								
								if (is_array($playlist_aa) && sizeof($playlist_aa) > 0){
									$playlist = array_merge($playlist, $playlist_aa);
								}
							}
						} else {
							$detectado = false;
						}
						break;
						
					case 'album':
						$album = new Album();
						$album->setid($_GET['id']);
						$album = $album->BuscarId();
						
						$playlist = $album->getPistasAlbum();
						break;
						
					default:
						$detectado = false;
						break;
				}
			}
		} else {
			$detectado = false;
		}
		
		if ($detectado == false){
			$album = new Album();
			$album->setid($p['album']);
			$album = $album->BuscarId();
			
			$playlist = $album->getPistasAlbum();
		}
		
		return $playlist;
	}
}

?>