<?php
defined('CONF_URL_APP') or die;
/**
 * @version		$Id: default.php 20196 2011-01-09 02:40:25Z ian $
 * @package		Joomla.Site
 * @subpackage	mod_custom
 * @copyright	Copyright (C) 2005 - 2011 Open Source Matters, Inc. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 */
?>
<div class="music">

<div id="jp_container_N" class="jp-video" role="application" aria-label="media player">
	<div class="jp-type-playlist">
		<div id="jquery_jplayer_N" class="jp-jplayer"></div>
		<div class="jp-gui">
			<?php /*?><div class="jp-video-play">
				<button class="jp-video-play-icon" role="button" tabindex="0">play</button>
			</div><?php */?>
			<div class="jp-interface">
				<div class="jp-progress">
					<div class="jp-seek-bar">
						<div class="jp-play-bar"></div>
					</div>
				</div>
				<div class="jp-current-time" role="timer" aria-label="time">&nbsp;</div>
				<div class="jp-duration" role="timer" aria-label="duration">&nbsp;</div>
				<div class="jp-controls-holder">
					<div class="jp-controls">
						<button class="jp-previous" role="button" tabindex="0">previous</button>
						<button class="jp-play" role="button" tabindex="0">play</button>
						<button class="jp-next" role="button" tabindex="0">next</button>
						<button class="jp-stop" role="button" tabindex="0">stop</button>
					</div>
					<div class="jp-volume-controls">
						<button class="jp-mute" role="button" tabindex="0">mute</button>
						<button class="jp-volume-max" role="button" tabindex="0">max volume</button>
						<div class="jp-volume-bar">
							<div class="jp-volume-bar-value"></div>
						</div>
					</div>
					<div class="jp-toggles">
						<button class="jp-repeat" role="button" tabindex="0">repeat</button>
						<button class="jp-shuffle" role="button" tabindex="0">shuffle</button>
						<button class="jp-full-screen" role="button" tabindex="0">full screen</button>
					</div>
				</div>
				<div class="jp-details">
					<div class="jp-title" aria-label="title">&nbsp;</div>
				</div>
			</div>
		</div>
		<div class="jp-playlist">
			<ul>
				<!-- The method Playlist.displayPlaylist() uses this unordered list -->
				<li>&nbsp;</li>
			</ul>
		</div>
		<div class="jp-no-solution">
			<span>Update Required</span>
			To play the media you will need to either update your browser to a recent version or update your <a href="http://get.adobe.com/flashplayer/" target="_blank">Flash plugin</a>.
		</div>
	</div>
</div>


</div>
<div class="block_separator_2"></div>
<?php 

if (is_array($articulos) && sizeof($articulos) > 0){
	$playlist_out = array();
	
	foreach ($articulos as $pista){
		$album_pista = $pista->getalbum(true,true);
		$artista_pista = $album_pista->getartista(true);
		
		$imagen_album = $album_pista->getimagen_destacada(500,500);
		
		$mp3_pista = $pista->url;
		if (!empty($mp3_pista) && (substr($mp3_pista, 0, 7) != 'http://' || substr($mp3_pista, 0, 8) != 'https://')){
			$mp3_pista = CONF_URL_APP . $mp3_pista;
		}
		
		if (!empty($mp3_pista)){		
			$playlist_out[] = "{
				title:'".SistemaIdioma::Imprimir($pista->titulo)."',
				artist:'".$artista_pista."',
				mp3:'".$mp3_pista."',
				poster: '".$imagen_album."'
			}";
		}
	}
	
	if ($parametros['autoplay'] == '1'){
		$auto_play = 'true';
	} else {
		$auto_play = 'false';
	}
	
	$GLOBALS['AppDoc']->AddScriptDeclaration("
$(document).ready(function(){
	var myPlaylist = new jPlayerPlaylist({
		jPlayer: '#jquery_jplayer_N',
		cssSelectorAncestor: '#jp_container_N'
	}, [
		".implode(",",$playlist_out)."
	], {
		playlistOptions: {
			enableRemoveControls: false,
			autoPlay: ".$auto_play.",
		},
		supplied: 'webmv, ogv, m4v, oga, mp3',
		useStateClassSkin: true,
		autoBlur: false,
		smoothPlayBar: true,
		keyEnabled: true,
		audioFullScreen: true
	});
});

");
}
?>